import {Component, EventEmitter, inject, Output} from "@angular/core";
import {TodoService} from "../todo.service";
import {NgForOf} from "@angular/common";


@Component({
  standalone: true,
  selector: 'app-table-filter',
  imports: [
    NgForOf
  ],
  template: `
    <select (change)="updateFilter($event)" class="float-end mt-3">
      <option value="" selected>All</option>
      <option *ngFor="let category of categories" value="{{category}}">{{ category }}</option>
    </select>
  `
})
export class TableFilterComponent {

  todoService: TodoService = inject(TodoService);

  categories: string[] = this.todoService.categories;

  @Output()
  updateFiler: EventEmitter<string> = new EventEmitter()

  updateFilter(event: Event) {
    const inputElement = event.target as HTMLInputElement;
    const filterValue = inputElement.value;

    this.updateFiler.emit(filterValue);
  }
}
